de.heatup.mapengine

## Class CollisionHandler

- java.lang.Object
- - de.heatup.mapengine.CollisionHandler

-     public class CollisionHandler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollisionHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMovingObject(Player movingObject)`
    `static boolean` | `checkCollision(Player movingObject, char d)` Prüfe ob eine Kollision vorliegt
    `static boolean` | `checkCollision(java.awt.Point startPosition, char d, int steps)`
    `static void` | `tick()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollisionHandler

          public CollisionHandler()

  - ### Method Detail

    - #### checkCollision

          public static boolean checkCollision(Player movingObject,
                               char d)

      Prüfe ob eine Kollision vorliegt
      Parameters:
        `movingObject` - Kann alles sein, dass sich bewegt. Spieler oder KI.
        `d` - Richtung in die sich bewegt werden soll. Möglichkeiten: l, r, u, d
      Returns:

    - #### checkCollision

          public static boolean checkCollision(java.awt.Point startPosition,
                               char d,
                               int steps)

    - #### tick

          public static void tick()

    - #### addMovingObject

          public static void addMovingObject(Player movingObject)